Package org.eigenbase.resgen

# Class JavaLocaleGenerator

java.lang.Object
org.eigenbase.resgen.AbstractGenerator
org.eigenbase.resgen.AbstractJavaGenerator
org.eigenbase.resgen.JavaLocaleGenerator

All Implemented Interfaces:
  `Generator`

public class JavaLocaleGenerator extends AbstractJavaGenerator
Generates a Java class for a locale.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/JavaLocaleGenerator.java#2 $
Author:
  jhyde

## Field Summary

### Fields inherited from class org.eigenbase.resgen.AbstractJavaGenerator

`baseClassName, className, resourceBundle`

## Constructor Summary

Constructors
Constructor
Description
`JavaLocaleGenerator(File srcFile, File file, String className, ResourceDef.ResourceBundle resourceBundle, Locale locale, String baseClassName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)`
Generates a class containing a line for each resource.
`void`
`generateResource(ResourceDef.Resource resource, PrintWriter pw)`
Generates code for a particular resource.

### Methods inherited from class org.eigenbase.resgen.AbstractJavaGenerator

`generateFooter, generateHeader, getArgTypes, getBaseClassName, getClassName, getErrorClass, getPackageName`

### Methods inherited from class org.eigenbase.resgen.AbstractGenerator

`generateDoNotModifyHeader, generateGeneratedByBlock, getArgumentList, getFile, getParameterList, getSrcFileForComment, setScmSafeComments, useScmSafeComments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaLocaleGenerator

JavaLocaleGenerator(File srcFile, File file, String className, ResourceDef.ResourceBundle resourceBundle, Locale locale, String baseClassName)

## Method Details

### generateModule

public void generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)
Description copied from interface: `Generator`
Generates a class containing a line for each resource.

### generateResource

public void generateResource(ResourceDef.Resource resource, PrintWriter pw)
Description copied from class: `AbstractGenerator`
Generates code for a particular resource.

Specified by:
  `generateResource` in class `AbstractGenerator`